package com.example.workshopautomation;

import androidx.appcompat.app.AppCompatActivity;

import android.content.ContentValues;
import android.content.Intent;
import android.database.Cursor;
import android.database.sqlite.SQLiteDatabase;
import android.database.sqlite.SQLiteOpenHelper;
import android.os.Bundle;
import android.util.Patterns;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;
import android.widget.Toast;

public class Add_mechnic extends AppCompatActivity {


    SQLiteOpenHelper openHelper;
    SQLiteDatabase db;
    Button _btnadd , _btnback;
    EditText _txtname,_txtemail,_txtphone,_txtpass;
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_add_mechnic);
        openHelper = new DatabaseHelper(this);
        _btnadd = (Button)findViewById(R.id.btnaddMech);
        _btnback=(Button)findViewById(R.id.btn_back_mechnic);
        _txtname=(EditText)findViewById(R.id.txtMName);
        _txtemail=(EditText)findViewById(R.id.txtMEmail);
        _txtphone=(EditText)findViewById(R.id.txtMPhone);
        _txtpass= (EditText)findViewById(R.id.txtMPass);

        _btnadd.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                db=openHelper.getWritableDatabase();
                String Mname = _txtname.getText().toString();
                String Memail = _txtemail.getText().toString();
                String Mphone = _txtphone.getText().toString();
                String Mpass = _txtpass.getText().toString();

                if (Mname.equals("")||Memail.equals("")||Mphone.equals("")||Mpass.equals(""))
                    Toast.makeText(getApplicationContext(),"Please Enter All the fields",Toast.LENGTH_LONG).show();
                else {
                    Boolean validateMemail = ValidateMechEmail(Memail);
                    if (validateMemail == true) {

                        boolean validateMPhone = validateMechPhone(Mphone);
                        if (validateMPhone == true)
                        {
                        Boolean Checkmail = checkemail(Memail);
                        if (Checkmail == false) {
                            Boolean Checkphone = checkPhone(Mphone);
                            if (Checkphone == false) {
                                insertmechanic(Mname, Memail, Mphone, Mpass);
                                Toast.makeText(getApplicationContext(), "Mechanic Successfully Added", Toast.LENGTH_LONG).show();
                            } else {
                                Toast.makeText(getApplicationContext(), "Phone Number Already Exists", Toast.LENGTH_LONG).show();
                            }
                        } else {
                            Toast.makeText(getApplicationContext(), "Email Already Exists", Toast.LENGTH_LONG).show();
                        }
                    }
                        else
                            {
                                Toast.makeText(getApplicationContext(), "Enter Valid Mobile Number", Toast.LENGTH_LONG).show();
                            }
                    }
                    else
                    {
                        Toast.makeText(getApplicationContext(), "Enter Valid Email Address ", Toast.LENGTH_LONG).show();
                    }
                }


            }
        });

        _btnback.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                Intent intent= new Intent(Add_mechnic.this, Admin.class);
                startActivity(intent);
            }
        });

    }
    public void insertmechanic(String name,String email,String phone,String pass)
    {
        ContentValues contentValues= new ContentValues();
        contentValues.put(DatabaseHelper.MCOL_2,name);
        contentValues.put(DatabaseHelper.MCOL_3,email);
        contentValues.put(DatabaseHelper.MCOL_4,phone);
        contentValues.put(DatabaseHelper.MCOL_5,pass);
        long id = db.insert(DatabaseHelper.TABLE_NAME2 , null,contentValues);
    }
    public Boolean checkemail(String email)
    {
        db = openHelper.getWritableDatabase();
        Cursor cursor = db.rawQuery(" SELECT * FROM Mechanic where Email = ?",new String[]{email});
        if (cursor.getCount() > 0)
            return true;
        else
            return false;
    }

    public Boolean checkPhone(String  phone)
    {
        db=openHelper.getWritableDatabase();
        Cursor cursor= db.rawQuery("SELECT * FROM Mechanic where Phone = ?",new String[]{phone});

        if (cursor.getCount() > 0)
            return true;
        else
            return false;
    }

    public Boolean ValidateMechEmail(String email)
    {
        db = openHelper.getReadableDatabase();
        email = _txtemail.getText().toString();
        if (Patterns.EMAIL_ADDRESS.matcher(email).matches())
            return true;
        else
            return false;

    }
    public Boolean validateMechPhone (String phone)
    {
        db =  openHelper.getReadableDatabase();
        phone = _txtphone.getText().toString();
        if (phone.matches("[0-9]{11}"))
            return true;
        else
            return false;
    }
}

//    insertmechanic(Mname,Memail,Mphone,Mpass);
  //              Toast.makeText(getApplicationContext(),"Successfully Added",Toast.LENGTH_LONG).show();