package com.example.workshopautomation;

import androidx.annotation.NonNull;
import androidx.appcompat.app.AppCompatActivity;

import android.annotation.SuppressLint;
import android.content.ContentValues;
import android.content.Intent;
import android.database.Cursor;
import android.database.sqlite.SQLiteDatabase;
import android.database.sqlite.SQLiteOpenHelper;
import android.os.Bundle;
import android.util.SparseBooleanArray;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.widget.AdapterView;
import android.widget.ArrayAdapter;
import android.widget.Button;
import android.widget.EditText;
import android.widget.ListView;
import android.widget.TextView;
import android.widget.Toast;

import java.util.ArrayList;

public class Appointment_handling extends AppCompatActivity {

    SQLiteOpenHelper openHelper;
    SQLiteDatabase db;
    Cursor cursor,c;
    ListView listView2 ;
    TextView txtdate,txttime;


    ArrayAdapter<String> adapter;
    String [] arraydata = {"Tunning" , "Oil Change","Full Inspection" , "Fulid Service"};
   // ArrayList arrayList2;
   // ArrayAdapter arrayAdapter2;
    EditText t11;

    String cid, st,Date,Time;

    @SuppressLint("WrongViewCast")
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_appointment_handling);
        openHelper = new DatabaseHelper(this);
        db= openHelper.getReadableDatabase();
        listView2 = (ListView)findViewById(R.id.lv_services);

        txttime=findViewById(R.id.date);

        txtdate=findViewById(R.id.txttimef);


      st  = getIntent().getExtras().getString("Name");
      Date = getIntent().getExtras().getString("Date");
      Time = getIntent().getExtras().getString("Time");

      cid= getIntent().getExtras().getString("ID");


      Toast.makeText(Appointment_handling.this,st+Date+Time,Toast.LENGTH_LONG).show();


      txtdate.setText(Date);
    //txtdate.setVisibility(View.INVISIBLE);
          txttime.setText(Time);
       // txttime.setVisibility(View.INVISIBLE);

        adapter = new ArrayAdapter<String>(this, android.R.layout.simple_list_item_multiple_choice,arraydata);
        listView2.setAdapter(adapter);



  /*      arrayList2 = getservices();
        arrayAdapter2 = new ArrayAdapter(Appointment_handling.this, android.R.layout.simple_list_item_1,arrayList2);
        listView2.setAdapter(arrayAdapter2);
         arrayAdapter2.notifyDataSetChanged();
*/



    }

    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        getMenuInflater().inflate(R.menu.main_menu,menu);
        return true;
    }

    @Override
    public boolean onOptionsItemSelected(@NonNull MenuItem item) {
        int id = item.getItemId();
        if (id == R.id.iten_done ){
            String itemselected = "Selected Services : \n";

            for (int i = 0 ; i <listView2.getCount();i++)
            {
                if (listView2.isItemChecked(i))
                {


                    itemselected += listView2.getItemAtPosition(i) +"\n";
                    AddService((String) listView2.getItemAtPosition(i),st,Date,Time,cid);
                    Toast.makeText(getApplicationContext(),"Service added",Toast.LENGTH_LONG).show();

                }
            }
            Toast.makeText(this,itemselected,Toast.LENGTH_LONG).show();
        }
        return super.onOptionsItemSelected(item);
    }

  /*  public ArrayList getservices() {

        db = openHelper.getReadableDatabase();
        ArrayList<String> arrayList = new ArrayList<String>();
        cursor = db.rawQuery("  SELECT *  FROM " + DatabaseHelper.TABLE_NAME5, null);

        cursor.moveToFirst();
        while (!cursor.isAfterLast()) {
            arrayList.add(cursor.getString(cursor.getColumnIndex("Description")));

            cursor.moveToNext();
        }
        return arrayList;
    }
*/

    public void AddService(String services,String name,String date ,String time,String cid)
    {

        ContentValues contentValues= new ContentValues();
        contentValues.put(DatabaseHelper.SCOL_2,services);
        contentValues.put(DatabaseHelper.SCOL_3,name);
        contentValues.put(DatabaseHelper.SCOL_4,date);
        contentValues.put(DatabaseHelper.SCOL_5,time);
        contentValues.put(DatabaseHelper.SCOL_6,cid);



        long id =  db.insert(DatabaseHelper.TABLE_NAME5 , null,contentValues);

    }
}
