package com.example.workshopautomation;

import androidx.appcompat.app.AppCompatActivity;

import android.content.Intent;
import android.database.Cursor;
import android.database.sqlite.SQLiteDatabase;
import android.database.sqlite.SQLiteOpenHelper;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;
import android.widget.Toast;

public class LoginFrom extends AppCompatActivity {

    SQLiteOpenHelper openHelper;
    SQLiteDatabase db;
    Button _btnLogin,_btnregister;
    EditText _txtPhone,_txtPass;
    Cursor cursor,c ;

  //  String st;


    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_login_from);



        openHelper = new DatabaseHelper(this);
        db = openHelper.getReadableDatabase();
        _btnLogin = (Button)findViewById(R.id.btnLoginl);
        _txtPhone = (EditText) findViewById(R.id.txtlphone);
        _txtPass = (EditText)findViewById(R.id.txtLpass);
        _btnregister = (Button)findViewById(R.id.btnRegl);

        _btnLogin.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                String phone = _txtPhone.getText().toString();
                String pass = _txtPass.getText().toString();
                if (phone.equals("Admin") || pass.equals("Admin")) {
                    Intent intent = new Intent(LoginFrom.this, Admin.class);
                    startActivity(intent);
                } else {

                    cursor = db.rawQuery(" SELECT * FROM " + DatabaseHelper.TABLE_NAME + " WHERE " + DatabaseHelper.COL_4 + "=? AND " + DatabaseHelper.COL_5 + "=?", new String[]{phone, pass});

                    if (cursor != null) {

                        if (cursor.getCount() > 0) {

                            cursor.moveToNext();
                            String id = cursor.getString(0);
                            String ph = cursor.getString(3);
                            String pas =cursor.getString(4);

                            Intent intent = new Intent(LoginFrom.this, UserDashboard.class);
                            intent.putExtra("Value",id);
                            intent.putExtra("phone" , ph);
                            intent.putExtra("pass",pas);
                            startActivity(intent);
                            finish();
                        } else {
                            c = db.rawQuery(" SELECT * FROM " + DatabaseHelper.TABLE_NAME2 + " WHERE " + DatabaseHelper.MCOL_4 + "=? AND " + DatabaseHelper.MCOL_5 + "=?", new String[]{phone, pass});
                            if (c != null) {
                                if (c.getCount() > 0) {
                                    c.moveToNext();
                                    Intent intent = new Intent(LoginFrom.this, MechnicDashborad.class);
                                    startActivity(intent);
                                } else {
                                    Toast.makeText(getApplicationContext(), " Invalid Credentials", Toast.LENGTH_LONG).show();
                                }
                            }
                        }
                    }
                }
            }
        });

        _btnregister.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                Intent intent = new Intent(LoginFrom.this,SignUpFrom.class);

                startActivity(intent);
            }
        });



    }
}