package com.example.workshopautomation;

import androidx.appcompat.app.AppCompatActivity;

import android.annotation.SuppressLint;
import android.app.AlertDialog;
import android.content.ContentValues;
import android.content.DialogInterface;
import android.database.Cursor;
import android.database.sqlite.SQLiteDatabase;
import android.database.sqlite.SQLiteOpenHelper;
import android.os.Bundle;
import android.util.SparseBooleanArray;
import android.view.View;
import android.widget.AdapterView;
import android.widget.ArrayAdapter;
import android.widget.Button;
import android.widget.ListAdapter;
import android.widget.ListView;
import android.widget.SimpleCursorAdapter;
import android.widget.TextView;
import android.widget.Toast;

import java.util.ArrayList;

public class Profile extends AppCompatActivity {


    SQLiteOpenHelper openHelper;
    SQLiteDatabase db;
    Cursor cursor,c;
    ListView listView ;
    Button del1,del2,del3;

    ArrayList arrayList;
    ArrayAdapter arrayAdapter;



    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_profile);
        openHelper = new DatabaseHelper(this);
        db= openHelper.getReadableDatabase();
        listView = (ListView)findViewById(R.id.list);
      //  del1=(Button)findViewById(R.id.del1);
        //del2=(Button)findViewById(R.id.del2);
        //del3=(Button)findViewById(R.id.del3);

        String st;
        st = getIntent().getExtras().getString("Value");
        String phone = getIntent().getExtras().getString("phone");
        String pass = getIntent().getExtras().getString("pass");

        arrayList = getText(st);
        arrayAdapter = new ArrayAdapter(Profile.this, android.R.layout.simple_list_item_1,arrayList);
        listView.setAdapter(arrayAdapter);


        listView.setOnItemLongClickListener(new AdapterView.OnItemLongClickListener() {
            @Override
            public boolean onItemLongClick(AdapterView<?> parent, View view, int position, long id) {
                final int which_item = position;
                new AlertDialog.Builder(Profile.this).setIcon(android.R.drawable.ic_delete)
                        .setTitle("Are you sure ? ").setMessage("Do you want to delete this entry")
                        .setPositiveButton("yes", new DialogInterface.OnClickListener() {
                            @Override
                            public void onClick(DialogInterface dialog, int which) {
                                arrayList.remove(which_item);
                                arrayAdapter.notifyDataSetChanged();
                            }
                        }).setNegativeButton("No",null).show();

                return false;
            }
        });










    }


    public ArrayList getText(String id){

        db = openHelper.getReadableDatabase();
        ArrayList<String>arrayList = new ArrayList<String >();
        cursor= db.rawQuery("  SELECT *  FROM " + DatabaseHelper.TABLE_NAME3 + " where " + DatabaseHelper.VCOL_2 + " = ? ", new String[]{id});

        cursor.moveToFirst();
        while (!cursor.isAfterLast()){
            arrayList.add(cursor.getString(cursor.getColumnIndex("Model" )));
            arrayList.add(cursor.getString(cursor.getColumnIndex("Vid")));
            cursor.moveToNext();
        }
        return arrayList;
    }





}





