package com.example.workshopautomation;

import androidx.appcompat.app.AppCompatActivity;

import android.content.Intent;
import android.database.sqlite.SQLiteDatabase;
import android.database.sqlite.SQLiteOpenHelper;
import android.os.Bundle;
import android.view.View;
import android.widget.ImageButton;
import android.widget.TextView;

public class UserDashboard extends AppCompatActivity {


    TextView welcmtxt;
    SQLiteOpenHelper openHelper;
    SQLiteDatabase db;
    ImageButton btnaddcar,btninvoice,btnprofile,btncheckin,btnAppointmnet;






    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_user_dashboard);
        openHelper = new DatabaseHelper(this);

        btnaddcar=(ImageButton)findViewById(R.id.btn_add_car);
        btnAppointmnet=(ImageButton)findViewById(R.id.add_appointment);
        btncheckin=(ImageButton)findViewById(R.id.btn_check_in);
        btninvoice=(ImageButton)findViewById(R.id.btn_invoice);
        btnprofile=(ImageButton)findViewById(R.id.btn_profile);
       // welcmtxt=(TextView)findViewById(R.id.txtwc);

        String phone = getIntent().getExtras().getString("phone");
        String pass = getIntent().getExtras().getString("pass");
        String st = getIntent().getExtras().getString("Value");
        //welcmtxt.setText(st);
       // welcmtxt.setVisibility(View.INVISIBLE);
        btnaddcar.setOnClickListener(new View.OnClickListener() {


            @Override
            public void onClick(View v) {
                Intent intent = new Intent(UserDashboard.this,Addcar.class);
                intent.putExtra("Value",st);
                startActivity(intent);

            }
        });



        btnprofile.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {

                Intent intent = new Intent(UserDashboard.this , Profile.class);
                intent.putExtra("Value",st);
                intent.putExtra("phone",phone);
                intent.putExtra("pass",pass);
                startActivity(intent);

            }
        });

        btnAppointmnet.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                Intent intent = new Intent(UserDashboard.this, SelectCar.class);

                intent.putExtra("Value",st);
                startActivity(intent);
            }
        });

        btncheckin.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                Intent intent= new Intent(UserDashboard.this,checkin.class);
                intent.putExtra("Value",st);
                startActivity(intent);
            }
        });
        btninvoice.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                Intent intent= new Intent(UserDashboard.this,customer_bill.class);
                startActivity(intent);
            }
        });
    }
}