package com.example.workshopautomation;

import androidx.appcompat.app.AppCompatActivity;

import android.content.Intent;
import android.database.Cursor;
import android.database.sqlite.SQLiteDatabase;
import android.database.sqlite.SQLiteOpenHelper;
import android.os.Bundle;
import android.view.View;
import android.widget.AdapterView;
import android.widget.ArrayAdapter;
import android.widget.ListView;

import java.util.ArrayList;

public class ArrivedCar extends AppCompatActivity {
    SQLiteOpenHelper openHelper;
    SQLiteDatabase db;
    Cursor cursor;
    ListView listView ;
    ArrayList arrayList;
    ArrayAdapter arrayAdapter;


    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_arrived_car);

        openHelper = new DatabaseHelper(this);
        db= openHelper.getReadableDatabase();
        listView = (ListView)findViewById(R.id.listviewcar);

        arrayList = getCarName();
        arrayAdapter = new ArrayAdapter(ArrivedCar.this, android.R.layout.simple_list_item_1,arrayList);
        listView.setAdapter(arrayAdapter);

        listView.setOnItemClickListener(new AdapterView.OnItemClickListener() {
            @Override
            public void onItemClick(AdapterView<?> parent, View view, int position, long id) {
                String CarName = String.valueOf((arrayAdapter.getItem(position)));
                Intent intent = new Intent(ArrivedCar.this, ShowServices.class);

                intent.putExtra("value",CarName);

                startActivity(intent);
            }
        });


    }

    public ArrayList getCarName(){

        db = openHelper.getReadableDatabase();
        ArrayList<String>arrayList = new ArrayList<String >();
        cursor= db.rawQuery("  SELECT DISTINCT "+ DatabaseHelper.CCOL_1 + " FROM " + DatabaseHelper.TABLE_NAME10 ,null);

        cursor.moveToFirst();
        while (!cursor.isAfterLast()){
            arrayList.add(cursor.getString(cursor.getColumnIndex("CarName" )));

            cursor.moveToNext();
        }
        return arrayList;
    }

}