package com.example.workshopautomation;

import androidx.appcompat.app.AppCompatActivity;

import android.database.Cursor;
import android.database.sqlite.SQLiteDatabase;
import android.database.sqlite.SQLiteOpenHelper;
import android.os.Bundle;
import android.widget.ArrayAdapter;
import android.widget.ListView;

import java.util.ArrayList;

public class Reports extends AppCompatActivity {

    SQLiteOpenHelper openHelper;
    SQLiteDatabase db;
    Cursor cursor,c;
    ListView listView ;
    ArrayList arrayList;
    ArrayAdapter arrayAdapter;



    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_reports);

        openHelper = new DatabaseHelper(this);
        db= openHelper.getReadableDatabase();
        listView = (ListView)findViewById(R.id.list1);


        arrayList = getBill();

        arrayAdapter = new ArrayAdapter(Reports.this, android.R.layout.simple_list_item_1,arrayList);
        listView.setAdapter(arrayAdapter);


    }
    public ArrayList getBill(){

        db = openHelper.getReadableDatabase();
        ArrayList<String>arrayList = new ArrayList<String >();
        cursor= db.rawQuery("SELECT * FROM  Bill ",null );
        cursor.moveToFirst();
        while (!cursor.isAfterLast()){
            arrayList.add(cursor.getString(cursor.getColumnIndex("Amount" )));
            cursor.moveToNext();
        }
        return arrayList;
    }
}