package com.example.workshopautomation;

import androidx.appcompat.app.AppCompatActivity;

import android.content.Intent;
import android.database.Cursor;
import android.database.sqlite.SQLiteDatabase;
import android.database.sqlite.SQLiteOpenHelper;
import android.os.Bundle;
import android.view.View;
import android.widget.AdapterView;
import android.widget.ArrayAdapter;
import android.widget.Button;
import android.widget.ListView;

import java.util.ArrayList;

public class SelectCar extends AppCompatActivity {


    SQLiteOpenHelper openHelper;
    SQLiteDatabase db;
    Cursor cursor,c;
    ListView listView1 ;
    Button del1,del2,del3;

    ArrayList arrayList1;
    ArrayAdapter arrayAdapter1;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_select_car);

        openHelper = new DatabaseHelper(this);
        db= openHelper.getReadableDatabase();
        listView1 = (ListView)findViewById(R.id.list1);

        String st = getIntent().getExtras().getString("Value");

        arrayList1 = getData(st);

        arrayAdapter1 = new ArrayAdapter(SelectCar.this, android.R.layout.simple_list_item_1,arrayList1);
        listView1.setAdapter(arrayAdapter1);

       listView1.setOnItemClickListener(new AdapterView.OnItemClickListener() {
           @Override
           public void onItemClick(AdapterView<?> parent, View view, int position, long id) {
               String CarName = String.valueOf((arrayAdapter1.getItem(position)));



               Intent intent = new Intent(SelectCar.this, Appointment.class);
               intent.putExtra("id",st);
               intent.putExtra("value",CarName);

               startActivity(intent);

           }
       });




    }

    public ArrayList getData(String id){

        db = openHelper.getReadableDatabase();
        ArrayList<String>arrayList = new ArrayList<String >();
        cursor= db.rawQuery("  SELECT *  FROM " + DatabaseHelper.TABLE_NAME3 + " where " + DatabaseHelper.VCOL_2 + " = ? ", new String[]{id});

        cursor.moveToFirst();
        while (!cursor.isAfterLast()){
            arrayList.add(cursor.getString(cursor.getColumnIndex("Model" )));

            cursor.moveToNext();
        }
        return arrayList;
    }
}