package com.example.workshopautomation;

import androidx.appcompat.app.AppCompatActivity;

import android.content.ContentValues;
import android.database.Cursor;
import android.database.sqlite.SQLiteDatabase;
import android.database.sqlite.SQLiteOpenHelper;
import android.os.Bundle;
import android.view.View;
import android.widget.ArrayAdapter;
import android.widget.Button;
import android.widget.ListView;
import android.widget.TextView;
import android.widget.Toast;

import java.util.ArrayList;

public class ShowServices extends AppCompatActivity {

    SQLiteOpenHelper openHelper;
    SQLiteDatabase db;
    Cursor cursor;
    ListView listView ;
    ArrayList arrayList;
    ArrayAdapter arrayAdapter;
    String st;
    double price1,price2,price3,Total;
    Button _btndone;
    TextView t1,t2,t3;
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_show_services);

        openHelper = new DatabaseHelper(this);
        db= openHelper.getReadableDatabase();

        st = getIntent().getExtras().getString("value");
        listView = findViewById(R.id.listservices);
        _btndone = findViewById(R.id.btndone);

        t1 = findViewById(R.id.price1);
        t2 = findViewById(R.id.price2);
        t3 = findViewById(R.id.price3);





        arrayList = getServices(st);
        arrayAdapter = new ArrayAdapter(ShowServices.this, android.R.layout.simple_list_item_1,arrayList);
        listView.setAdapter(arrayAdapter);


        _btndone.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                price1 = Double.parseDouble(t1.getText().toString());
                price2 = Double.parseDouble(t2.getText().toString());
                price3 = Double.parseDouble(t3.getText().toString());
                Total = (price1 + price2 + price3);
                AddBill(Double.toString(Total));


                Toast.makeText(getApplicationContext(),"Bill Generated",Toast.LENGTH_LONG).show();


                db.execSQL("DELETE FROM "+ DatabaseHelper.TABLE_NAME10 + " WHERE " + DatabaseHelper.CCOL_1 + " = ?",new String[]{st});

                Toast.makeText(getApplicationContext(),"Record Deleted From Database",Toast.LENGTH_LONG).show();

            }
        });




    }

    public ArrayList getServices(String carname){

        db = openHelper.getReadableDatabase();
        ArrayList<String>arrayList = new ArrayList<String >();
        cursor= db.rawQuery("  SELECT  * FROM " + DatabaseHelper.TABLE_NAME10 + " WHERE " + DatabaseHelper.CCOL_1 + " = ?" , new String[]{carname});

        cursor.moveToFirst();
        while (!cursor.isAfterLast()){
            arrayList.add(cursor.getString(cursor.getColumnIndex("Services" )));

            cursor.moveToNext();
        }
        return arrayList;
    }


    public void AddBill(String amount)
    {

        ContentValues contentValues= new ContentValues();
        contentValues.put(DatabaseHelper.BCOL_4,amount);
        long id =  db.insert(DatabaseHelper.TABLE_NAME7 , null,contentValues);

    }

}