package com.example.workshopautomation;

import androidx.appcompat.app.AppCompatActivity;

import android.content.ContentValues;
import android.content.Intent;
import android.database.Cursor;
import android.database.sqlite.SQLiteDatabase;
import android.database.sqlite.SQLiteOpenHelper;
import android.os.Bundle;
import android.util.Patterns;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;
import android.widget.Toast;

import java.util.regex.Pattern;

public class SignUpFrom extends AppCompatActivity {

    SQLiteOpenHelper openHelper;
    SQLiteDatabase db;
    Button _btnreg , _btnlogin;
    EditText _txtname,_txtemail,_txtphone,_txtpass,_txtcpass;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_sign_up_from);
        openHelper = new DatabaseHelper(this);
        _btnreg = (Button)findViewById(R.id.btnreg);
      //  _btnlogin=(Button)findViewById(R.id.btnlogin);
        _txtname=(EditText)findViewById(R.id.txtname);
        _txtemail=(EditText)findViewById(R.id.txtemail);
        _txtphone=(EditText)findViewById(R.id.txtlphone);
        _txtpass=(EditText)findViewById(R.id.txtLpass);
        _txtcpass=(EditText)findViewById(R.id.txtcpass);

        _btnreg.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                db=openHelper.getWritableDatabase();
                String name = _txtname.getText().toString();
                String email = _txtemail.getText().toString();
                String phone = _txtphone.getText().toString();
                String pass = _txtpass.getText().toString();
                String cpass = _txtcpass.getText().toString();

                if (name.equals("")||email.equals("")||phone.equals("")||pass.equals(""))

                    Toast.makeText(getApplicationContext(),"Fields Cant be empty",Toast.LENGTH_LONG).show();


                else {
                    if (pass.equals(cpass)) {
                        Boolean validation = ValidateEmail(email);
                        if (validation == true) {
                            Boolean validatephone = validatePhone(phone);
                            if (validatephone == true)
                            {
                            Boolean Checkcustomermail = checkCustomeremail(email);
                            if (Checkcustomermail == false) {
                                Boolean Checkcustomerphone = checkCustomerPhone(phone);
                                if (Checkcustomerphone == false) {
                                    insertdata(name, email, phone, pass);
                                    Toast.makeText(getApplicationContext(), "Customer Successfully Registered", Toast.LENGTH_LONG).show();
                                } else {
                                    Toast.makeText(getApplicationContext(), "Phone Number Already Exists", Toast.LENGTH_LONG).show();
                                }
                            } else {
                                Toast.makeText(getApplicationContext(), "Email Already Exists", Toast.LENGTH_LONG).show();
                            }
                        }
                        else {
                            Toast.makeText(getApplicationContext(), "Enter valid Phone Number", Toast.LENGTH_LONG).show();
                        }
                    }
                        else {
                            Toast.makeText(getApplicationContext(), "Enter valid Email Address", Toast.LENGTH_LONG).show();
                        }
                    }
                    else
                    {
                        Toast.makeText(getApplicationContext(), "Password Does Not Matches", Toast.LENGTH_LONG).show();
                    }
                }





            }

        });
   /*     _btnlogin.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                Intent intent = new Intent(SignUpFrom.this,LoginFrom.class);
                startActivity(intent);
            }
        });
    */}
    public void insertdata(String name,String email,String phone,String pass)
    {
        ContentValues contentValues= new ContentValues();
        contentValues.put(DatabaseHelper.COL_2,name);
        contentValues.put(DatabaseHelper.COL_3,email);
        contentValues.put(DatabaseHelper.COL_4,phone);
        contentValues.put(DatabaseHelper.COL_5,pass);
        long id = db.insert(DatabaseHelper.TABLE_NAME , null,contentValues);

    }

    public Boolean checkCustomeremail(String email)
    {
        db = openHelper.getWritableDatabase();
        Cursor cursor = db.rawQuery(" SELECT * FROM customer where Email = ?",new String[]{email});
        if (cursor.getCount() > 0)
            return true;
        else
            return false;
    }

    public Boolean checkCustomerPhone(String  phone)
    {
        db=openHelper.getWritableDatabase();
        Cursor cursor= db.rawQuery("SELECT * FROM customer where Phone = ?",new String[]{phone});

        if (cursor.getCount() > 0)
            return true;
        else
            return false;
    }

    public Boolean ValidateEmail(String email)
    {
        db = openHelper.getReadableDatabase();
        email = _txtemail.getText().toString();
        if (Patterns.EMAIL_ADDRESS.matcher(email).matches())
            return true;
        else
            return false;

    }
    public Boolean validatePhone (String phone)
    {
        db =  openHelper.getReadableDatabase();
        phone = _txtphone.getText().toString();
        if (phone.matches("[0-9]{11}"))
            return true;
        else
            return false;
    }

}